unit UParam;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfrmParam = class(TForm)
    cmdOk: TBitBtn;
    cmdCancel: TBitBtn;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    txtPlayer1: TEdit;
    txtPlayer2: TEdit;
    procedure cmdOkClick(Sender: TObject);
    procedure cmdCancelClick(Sender: TObject);
    procedure VerifyPlayersNames(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmParam: TfrmParam;

implementation

uses  UMain_01;

{$R *.dfm}

procedure TfrmParam.cmdOkClick(Sender: TObject);
begin
frmMain.GameEngine1.Player1Name := txtPlayer1.Text;
frmMain.GameEngine1.Player2Name := txtPlayer2.Text;
frmMain.DisplayGameInfos;
end;

procedure TfrmParam.cmdCancelClick(Sender: TObject);
begin
Close;
end;

procedure TfrmParam.VerifyPlayersNames(Sender: TObject);
Var NotEmpty : Boolean;
begin
 NotEmpty := (Trim(txtPlayer1.Text)<>'' ) and (Trim(txtPlayer2.Text)<>'' );
 if NotEmpty = true then
  begin
    if  Trim(txtPlayer1.Text) = Trim(txtPlayer2.Text) then cmdOk.Enabled := False else
    cmdOk.Enabled := True;
  End else
    Begin
      cmdOk.Enabled := False;
    End;


end;

procedure TfrmParam.FormShow(Sender: TObject);
begin
  txtPlayer1.Text := frmMain.GameEngine1.Player1Name;
  txtPlayer2.Text := frmMain.GameEngine1.Player2Name;

end;

end.
